Skip to main content
GET
/
companies
/
{id}
/
related-persons
List related persons
curl --request GET \
  --url https://sandbox.api.reap.global/companies/{id}/related-persons/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Reap-Version: <reap-version>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fullName": "<string>",
      "email": "jsmith@example.com",
      "status": "NOT_STARTED",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key as Bearer token

Headers

Reap-Version
enum<string>
required

API version (YYYY-MM-DD)

Available options:
2025-02-14
Example:

"2025-02-14"

Path Parameters

id
string<uuid>
required

Company identifier

Query Parameters

limit
integer
default:20

Maximum number of items to return (1-100, default: 20)

Required range: x <= 100
Examples:

20

50

100

cursor
string

Opaque cursor for pagination. Pass nextCursor from previous response to get next page.

id
string<uuid>

Filter related persons by exact ID match

status
enum<string>[]

Filter related persons by verification status (comma-separated)

Available options:
NOT_STARTED,
IN_REVIEW,
APPROVED,
REJECTED

Response

Paginated list of related persons

items
object[]
required

Array of items for current page

nextCursor
string | null
required

Cursor for next page, or null if no more items